//--- OBJECT WRITE BEGIN ---
new ScriptGroup(SSM_MapGroup) {

   new StaticShape(bedroom) {
      position = "0 0 1255";
      rotation = eulerToMatrix("0 0 90");
      scale = "1 1 1";
      dataBlock = "BedroomOG_bedroom";
      canSetIFLs = "0";
   };
   
   new StaticShape(bedroomCol) {
      position = "0 0 1255";
      rotation = eulerToMatrix("0 0 90");
      scale = "1 1 1";
      dataBlock = "BedroomOG_bedroomColA";
      canSetIFLs = "0";
   };
   
   new StaticShape(bed) {
      position = "0 0 1255";
      rotation = eulerToMatrix("0 0 90");
      scale = "1 1 1";
      dataBlock = "BedroomOG_bed";
      canSetIFLs = "0";
   };
   
   new StaticShape(dresser) {
      position = "0 0 1255";
      rotation = eulerToMatrix("0 0 90");
      scale = "1 1 1";
      dataBlock = "BedroomOG_dresser";
      canSetIFLs = "0";
   };

  new StaticShape(tenHours) {
	 position = "-84 -86 1258.2";
	 rotation = eulerToMatrix("0 13 195");
	 scale = "2 1.5 2";
	 dataBlock = "BedroomOG_lcd";
	 canSetIFLs = "0";
  };
  new StaticShape(Hours) {
	 position = "-84.8 -83 1258.2";
	 rotation = eulerToMatrix("0 13 195");
	 scale = "2 1.5 2";
	 dataBlock = "BedroomOG_lcd";
	 canSetIFLs = "0";
  };
  new StaticShape(tenMinutes) {
	 position = "-85.8 -79.2 1258.2";
	 rotation = eulerToMatrix("0 13 195");
	 scale = "2 1.5 2";
	 dataBlock = "BedroomOG_lcd";
	 canSetIFLs = "0";
  };
  new StaticShape(Minutes) {
	 position = "-86.6 -76.2 1258.2";
	 rotation = eulerToMatrix("0 13 195");
	 scale = "2 1.5 2";
	 dataBlock = "BedroomOG_lcd";
	 canSetIFLs = "0";
  };
  new StaticShape(Colon) {
	 position = "-85.2 -81.2 1258.2";
	 rotation = eulerToMatrix("0 13 195");
	 scale = "2 1.5 2";
	 dataBlock = "BedroomOG_lcdcolon";
	 canSetIFLs = "0";
  };
  
  new StaticShape(glass_A) {
	 position = vectorAdd("-1 0.5 1255","-150.1 -41.2 14.5");
	 rotation = eulerToMatrix("0 0 90");
	 scale = "1 1 1";
	 dataBlock = "BedroomOG_glass";
	 canSetIFLs = "0";
	 isBreakable = true;
  };
  
  new StaticShape(glass_B) {
	 position = vectorAdd("-1 18.7 1255","-150.1 -41.2 14.5");
	 rotation = eulerToMatrix("0 0 90");
	 scale = "1 1 1";
	 dataBlock = "BedroomOG_glass";
	 canSetIFLs = "0";
	 isBreakable = true;
  };
  
  new StaticShape(glass_C) {
	 position = vectorAdd("3.5 0.5 1223.5","-150.1 -41.2 14.5");
	 rotation = eulerToMatrix("0 0 90");
	 scale = "1 1 1";
	 dataBlock = "BedroomOG_glass";
	 canSetIFLs = "0";
	 isBreakable = true;
  };
  
  new StaticShape(glass_D) {
	 position = vectorAdd("3.5 18.7 1223.5","-150.1 -41.2 14.5");
	 rotation = eulerToMatrix("0 0 90");
	 scale = "1 1 1";
	 dataBlock = "BedroomOG_glass";
	 canSetIFLs = "0";
	 isBreakable = true;
  };
//earth
  new StaticShape(Earth) 
{
	position = "0 0 1059";
	rotation = "1 0 0 0";
	scale = "1 1 1";
	dataBlock = "EarthPlanet";
	canSetIFLs = "0";
};
//astroids
 new StaticShape() {
      position = "-870 534 1324";
      rotation = "-0.105899 -0.433436 -0.89494 0.887346";
      scale = "2 2 2";
      dataBlock = "Asteroid_B";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "739 -361 1126";
      rotation = "-0.306092 -0.759556 -0.573919 0.781341";
      scale = "0.5 0.5 0.5";
      dataBlock = "Asteroid_C";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "974 772 1456";
      rotation = "0.999789 -0.00395569 -0.0201484 1.72596";
      scale = "1 0.5 1";
      dataBlock = "Asteroid_B";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "992 -883 1164";
      rotation = "-0.33651 0.118868 0.934147 1.39322";
      scale = "1 1 1";
      dataBlock = "Asteroid_C";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "993 -400 1452";
      rotation = "-0.191441 -0.25848 -0.946857 0.952025";
      scale = "1 1.5 2";
      dataBlock = "Asteroid_A";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "-890 419 1405";
      rotation = "-0.224623 0.959843 0.168065 1.41607";
      scale = "2 2 2";
      dataBlock = "Asteroid_C";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "-413 -771 1380";
      rotation = "0.587466 0.184733 -0.787882 0.659676";
      scale = "1 1 1";
      dataBlock = "Asteroid_C";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "-496 755 1466";
      rotation = "0.286143 -0.709837 0.643625 2.0217";
      scale = "2 2.5 2";
      dataBlock = "Asteroid_B";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "-416 -501 1374";
      rotation = "0.860751 -0.359864 0.360007 1.7013";
      scale = "1.5 1.4 1.6";
      dataBlock = "Asteroid_C";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "-339 677 1367";
      rotation = "0.114651 -0.910747 -0.396731 1.55768";
      scale = "1 1 1";
      dataBlock = "Asteroid_B";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "-336 -528 1374";
      rotation = "-0.809896 -0.2167 -0.545078 1.41053";
      scale = "0.5 0.6 0.5";
      dataBlock = "Asteroid_B";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "-550 689 1180";
      rotation = "0.475063 0.517854 -0.711437 1.68697";
      scale = "2 3 3";
      dataBlock = "Asteroid_A";
      canSetIFLs = "0";
   };
   //v2, new earth
   new StaticShape(Earth2) 
{
	position = "0 2000 59";
	rotation = "1 0 0 0";
	scale = "1 1 1";
	dataBlock = "EarthPlanet2";
	canSetIFLs = "0";
};
//new asteroids
 new StaticShape() {
      position = "-870 2534 93";
      rotation = "-0.105899 -0.433436 -0.89494 0.887346";
      scale = "2 2 2";
      dataBlock = "Asteroid_B";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "739 2761 106";
      rotation = "-0.306092 -0.759556 -0.573919 0.781341";
      scale = "0.5 0.5 0.5";
      dataBlock = "Asteroid_C";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "974 1932 56";
      rotation = "0.999789 -0.00395569 -0.0201484 1.72596";
      scale = "1 0.5 1";
      dataBlock = "Asteroid_B";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "992 2023 64";
      rotation = "-0.33651 0.118868 0.934147 1.39322";
      scale = "1 1 1";
      dataBlock = "Asteroid_C";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "993 2800 52";
      rotation = "-0.191441 -0.25848 -0.946857 0.952025";
      scale = "1 1.5 2";
      dataBlock = "Asteroid_A";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "-890 2519 55";
      rotation = "-0.224623 0.959843 0.168065 1.41607";
      scale = "2 2 2";
      dataBlock = "Asteroid_C";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "954 2171 80";
      rotation = "0.587466 0.184733 -0.787882 0.659676";
      scale = "1 1 1";
      dataBlock = "Asteroid_C";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "-996 2055 66";
      rotation = "0.286143 -0.709837 0.643625 2.0217";
      scale = "2 2.5 2";
      dataBlock = "Asteroid_B";
      canSetIFLs = "0";
   };
   new StaticShape() {
      position = "-416 2501 74";
      rotation = "0.860751 -0.359864 0.360007 1.7013";
      scale = "1.5 1.4 1.6";
      dataBlock = "Asteroid_C";
      canSetIFLs = "0";
   };
};
//--- OBJECT WRITE END ---
